ReannealingFiniteDifferences Class Reference

Reannealing Finite Difference. More...

`#include <ql/experimental/math/hybridsimulatedannealingfunctors.hpp>`

## Public Member Functions

| ReannealingFiniteDifferences (Real initialTemp, Size dimension, const Array &lower=Array(), const Array &upper=Array(), Real stepSize=1e-7, Real minSize=1e-10, Real functionTol=1e-10)
void | setProblem (Problem &P)
void | operator() (Array &steps, const Array &currentPoint, Real currentValue, const Array &currTemp) const

## Detailed Description

Reannealing Finite Difference.

In multidimensional problems, different dimensions might have different sensitivities, and might have dimensions on which the solution is rather insensitive. If possible, the search should concentrate more on the more sensitive dimensions, therefore a reannealing schedule might raise the temperature seen by those more fruitful dimensions so as to allow for more movement along the dimensions of interest